org.apache.fop.svg

## Class ACIUtils

- java.lang.Object
- - org.apache.fop.svg.ACIUtils

    public final class ACIUtils
    extends Object

Utilities for java.text.AttributedCharacterIterator.

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `dumpAttrs(AttributedCharacterIterator aci)` Dumps the contents of an ACI to System.out.
`static Font[]` `findFontsForBatikACI(AttributedCharacterIterator aci, FontInfo fontInfo)` Tries to find matching fonts in FOP's `FontInfo` instance for fonts used by Apache Batik.
`static int` `toCSSWeight(Float weight)`
`static String` `toStyle(Float posture)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### findFontsForBatikACI

    public static Font[] findFontsForBatikACI(AttributedCharacterIterator aci,
                                              FontInfo fontInfo)

Tries to find matching fonts in FOP's `FontInfo` instance for fonts used by Apache Batik. The method inspects the various GVT attributes found in the ACI.

Parameters:
  `aci` - the ACI to find matching fonts for
  `fontInfo` - the font info instance with FOP's fonts
Returns:
  an array of matching fonts

#### toCSSWeight

    public static int toCSSWeight(Float weight)

#### toStyle

    public static String toStyle(Float posture)

#### dumpAttrs

    public static void dumpAttrs(AttributedCharacterIterator aci)

Dumps the contents of an ACI to System.out. Used for debugging only.

Parameters:
  `aci` - the ACI to dump